package tu.kielce.pl.sqlinjectiondemo;

public class PreparedQueryProvider implements QueryProvider {

    private String login;
    private String hashedPassword;

    @Override
    public void setLogin(String login) {
        this.login = login;
    }

    public String getLogin() {
        return login;
    }

    @Override
    public void setHashedPassword(String hashedPassword) {
        this.hashedPassword = hashedPassword;
    }

    public String getHashedPassword() {
        return hashedPassword;
    }

    @Override
    public String getSelectQuery() {
        return "select * from USERS where name=? and password=?";
    }

    @Override
    public String getInsertQuery() {
        return"insert into USERS values (?,?)" ;
    }
}
