package tu.kielce.pl.sqlinjectiondemo;

import java.util.regex.Pattern;

public class SanitizedQueryProvider implements QueryProvider {
    private String login;
    private String hashedPassword;

    @Override
    public void setLogin(String login) {
        this.login = login;
    }

    @Override
    public void setHashedPassword(String hashedPassword) {
        this.hashedPassword = hashedPassword;
    }

    @Override
    public String getSelectQuery() {
        return "select * from USERS where name='"+sanitizeLogin(login)+"' and password='"+ hashedPassword +"';";
    }

    @Override
    public String getInsertQuery() {
        return "insert into USERS values('" + sanitizeLogin(login) + "','" + hashedPassword + "');";
    }

    private String sanitizeLogin(String login) {
        Pattern patter = Pattern.compile("[^A-Za-z\\d]");
        return patter.matcher(login).replaceAll("");
    }
}
